%define major	1
%define libname	%mklibname zxing %{major}
%define devname	%mklibname zxing -d

Name:		zxing-cpp
Version:	1.2.0
Release:	%mkrel 1
Summary:	C++ port of the ZXing ("Zebra Crossing") barcode scanning library
Group:		System/Libraries
License:	LGPLv2+
Url:		https://github.com/nu-book/zxing-cpp
Source0:	https://github.com/nu-book/zxing-cpp/archive/v%{version}/%{name}-%{version}.tar.xz
Patch1:		0001-Fix-pkg-config-.pc-file.patch
BuildRequires:	cmake
BuildRequires:	libstdc++-static-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Quick)

%description
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)

%files -n %{libname}
%{_libdir}/libZXing.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	zxingcore-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%{_includedir}/ZXing/
%{_libdir}/*.so
%{_libdir}/cmake/ZXing/
%{_libdir}/pkgconfig/zxing.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake -DENABLE_ENCODERS=ON -DBUILD_BLACKBOX_TESTS=OFF
%cmake_build

%install
%cmake_install


%changelog
* Sat Oct 09 2021 tex - 1.2.0-1pclos2021
- update
